The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Сравнение уровня поддержки CSS в популярных web-браузерах

01.04.2008 20:57

Lana Kovacevic представила результаты тестирования web-браузеров Internet Explorer 8 Beta 1, Firefox 3 Beta 4, Safari 3.1 и Opera 9.26 на предмет полноты поддержки псевдо-классов определенных в стандарте CSS 2.1.

  • ":hover" - соответствует стандарту Firefox, Safari и Opera;
  • ":focus" - соответствует стандарту Firefox, Safari и Opera;
  • ":enabled" и ":disabled" - соответствует стандарту Firefox, Safari и Opera;
  • ":root" - соответствует стандарту Firefox и Safari;
  • ":not" - соответствует стандарту Firefox и Safari;


  1. Главная ссылка к новости (http://www.builderau.com.au/pr...)
Лицензия: CC-BY
Тип: Тема для размышления
Короткая ссылка: https://opennet.ru/15062-css
Ключевые слова: css, web
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (18) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, cubite (?), 21:23, 01/04/2008 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    IE породил целую плеяду неграмотных верстальщиков html страниц. И непонятно, почему вот уже который год в MS продолжают гнуть свою линию по игнорированию некоторых общепринятых стандартов CSS.
     
     
  • 2.4, Аноним (4), 21:46, 01/04/2008 [^] [^^] [^^^] [ответить]  
  • +/
    Да по тому что у майкрософт костью в горле стоит тот факт, что кто-то кроме них может стандарты создавать... А может - не получается просто =)
     
  • 2.9, Dimez (??), 00:09, 02/04/2008 [^] [^^] [^^^] [ответить]  
  • +/
    >И непонятно, почему вот уже который год в MS продолжают гнуть свою линию по игнорированию некоторых общепринятых стандартов CSS.

    Да потому-что игнорирование стандартов им выгодно. Ибо им выгодно, чтобы IT стало черновой работой, чтобы грести бабло за поддержку всего.

     

  • 1.2, perldev (?), 21:30, 01/04/2008 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    НЕ понял,а IE вообще как всегда них...на не поддержует,хотя впрочем ,чему я удивляюсь))
     
  • 1.3, perldev (?), 21:31, 01/04/2008 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    как же он все таки достал
     
  • 1.5, Аноним (5), 22:26, 01/04/2008 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Странно, что все беты версий кроме оперы :( А ведь там много чего доделали.
     
     
  • 2.7, vitek (??), 23:05, 01/04/2008 [^] [^^] [^^^] [ответить]  
  • +/
    гонишь
     
     
  • 3.14, Anonymous (?), 09:50, 02/04/2008 [^] [^^] [^^^] [ответить]  
  • +/
    >гонишь

    не гонишь а так и есть. фф взять -- так это перманентная бета. ;)
    взял бы 9.5 так и увидел бы в опере поддержку всех эти :root и :not

    ps: а скриншоты в бмп фигачить это да, это 5

     

  • 1.6, Аноним (5), 23:03, 01/04/2008 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Я себе счас поставил Safari 3.1 под Вистай, так доволен как слон. Работает даже быстрее Firefox'a и удобен невероятно.
     
     
  • 2.8, dRiZd (?), 23:51, 01/04/2008 [^] [^^] [^^^] [ответить]  
  • +/
    >Я себе счас поставил Safari 3.1 под Вистай, так доволен как слон.
    >Работает даже быстрее Firefox'a и удобен невероятно.

    Я Safari пользуюсь еще с Mac-времен, все хорошо, тока с ftp иногда казусы
    выходят. Кстати в 3.1(виндовой) есть ошибки в Localizable.strings: вместо
    Кб стоит Гб или Мб ... в общем я у себя поправил.

     
     
  • 3.19, smb (?), 22:55, 02/04/2008 [^] [^^] [^^^] [ответить]  
  • +/
    Памяти много жрет, а так ниче. Порой 4-6 вкладок, а все 150 Мб. Куда девается, непонятно.
     

  • 1.10, Аноним (5), 05:51, 02/04/2008 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    в целом очевидно что рулят опера и сафари )
     
     
  • 2.11, Konstantin (??), 07:57, 02/04/2008 [^] [^^] [^^^] [ответить]  
  • +/
    >в целом очевидно что рулят опера и сафари )

    Если действительно в целом - то OSS :-)

     

  • 1.12, romand (?), 09:11, 02/04/2008 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Кстати, как в Safari интерфейс переключить с русского на английский (win)?
     
  • 1.13, пИнгвин (?), 09:14, 02/04/2008 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Было время когда заходя на сайт firefox-ом, сайт вываливал ошибку, что у вас должен быть ОсЛик не ниже 4 или 5... Видимо пришло время писать: у вас должен быть установлен FF, Опера или Сафари, а Ослики идут лесом.
     
     
  • 2.15, Konstantin (??), 10:02, 02/04/2008 [^] [^^] [^^^] [ответить]  
  • +/
    хорошая идея!
     

  • 1.17, belkin (??), 11:34, 02/04/2008 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Да какой там CSS?! Вчера сидел за машиной с IE7. Так у он при клике правой кнопкой на папке ftp-сервера по команде "сохранить объект как..." предлагает какой-то IE7.htm сохранить. Кретины в последней стадии идиотизма. В IE6 нормально так можно папку целиком сгрузить. Чем ближе к смерти, тем больше помоев будет MS выливать на пользователей.
     
     
  • 2.18, Аноним (4), 20:19, 02/04/2008 [^] [^^] [^^^] [ответить]  
  • +/
    Ага, сегодня в кои то веки запустил IE7, он вдруг полез куда-то на msn, хотя в настройках ставил запускать с пустой страницы, долго что-то грузил, а потом вывалил страницу: "Вы действительно желаете использовать гугл как систему для поиска по умолчанию?" :) Ужос...
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2020 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру